SolrQuery::setHighlightSnippets
SolrQuery::setMlt
SolrQuery
PHP Manual

# SolrQuery::setHighlightUsePhraseHighlighter

(PECL solr >= 0.9.2)

SolrQuery::setHighlightUsePhraseHighlighter — Whether to highlight phrase terms only when they appear within the query phrase

### Beschreibung

public SolrQuery SolrQuery::setHighlightUsePhraseHighlighter ( bool `$flag` )

Sets whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document

### Parameter-Liste

`value`

  Whether or not to use SpanScorer to highlight phrase terms only when they appear within the query phrase in the document

### Rückgabewerte

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightSnippets
SolrQuery::setMlt
SolrQuery
PHP Manual